Commit 50dd1472 authored by Ubbo Veentjer's avatar Ubbo Veentjer
Browse files

use textgridlab-parent.pom, remove fixed bundle versions from manifest.mf,...

use textgridlab-parent.pom, remove fixed bundle versions from manifest.mf, bump version to 0.0.2-snapshot
parent 9dc5214b
......@@ -2,7 +2,7 @@
<feature
id="info.textgrid.lab.feature.sadepublish"
label="sade publish feature"
version="0.0.1.qualifier">
version="0.0.2.qualifier">
<description url="https://wiki.de.dariah.eu/display/TextGrid/Publish+Tool+SADE">
Feature for TextGrid Sade Publish.
......
......@@ -6,12 +6,11 @@
<parent>
<groupId>info.textgrid.lab</groupId>
<artifactId>sadepublish</artifactId>
<version>0.0.1-SNAPSHOT</version>
<version>0.0.2-SNAPSHOT</version>
</parent>
<artifactId>info.textgrid.lab.feature.sadepublish</artifactId>
<name>TextGridLab Sade Publish Feature</name>
<version>0.0.1-SNAPSHOT</version>
<packaging>eclipse-feature</packaging>
</project>
......@@ -2,13 +2,13 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Sadepublish
Bundle-SymbolicName: info.textgrid.lab.sadepublish; singleton:=true
Bundle-Version: 1.0.0.qualifier
Bundle-Version: 0.0.2.qualifier
Bundle-Activator: info.textgrid.lab.sadepublish.Activator
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
info.textgrid.lab.authn;bundle-version="0.0.2",
org.eclipse.core.expressions;bundle-version="3.4.300",
info.textgrid.lab.core.model;bundle-version="0.1.2",
info.textgrid.lab.core.swtutils;bundle-version="1.0.2"
info.textgrid.lab.authn,
org.eclipse.core.expressions,
info.textgrid.lab.core.model,
info.textgrid.lab.core.swtutils
Bundle-ActivationPolicy: lazy
Bundle-RequiredExecutionEnvironment: JavaSE-1.6
......@@ -5,10 +5,9 @@
<parent>
<artifactId>sadepublish</artifactId>
<groupId>info.textgrid.lab</groupId>
<version>0.0.1-SNAPSHOT</version>
<version>0.0.2-SNAPSHOT</version>
</parent>
<groupId>info.textgrid.lab</groupId>
<artifactId>info.textgrid.lab.sadepublish</artifactId>
<version>1.0.0-SNAPSHOT</version>
<packaging>eclipse-plugin</packaging>
</project>
......@@ -6,7 +6,7 @@
<parent>
<groupId>info.textgrid.lab</groupId>
<artifactId>sadepublish</artifactId>
<version>0.0.1-SNAPSHOT</version>
<version>0.0.2-SNAPSHOT</version>
</parent>
<artifactId>p2repository</artifactId>
......
......@@ -4,9 +4,16 @@
<modelVersion>4.0.0</modelVersion>
<groupId>info.textgrid.lab</groupId>
<artifactId>sadepublish</artifactId>
<version>0.0.1-SNAPSHOT</version>
<version>0.0.2-SNAPSHOT</version>
<packaging>pom</packaging>
<parent>
<groupId>info.textgrid.lab</groupId>
<artifactId>parent</artifactId>
<version>3.1.0-SNAPSHOT</version>
<!--relativePath>../parent</relativePath-->
</parent>
<modules>
<module>info.textgrid.lab.sadepublish</module>
<module>info.textgrid.lab.feature.sadepublish</module>
......@@ -21,6 +28,7 @@
</developer>
</developers>
<!--
<properties>
<lab.repository.eclipse>http://download.eclipse.org/releases/indigo</lab.repository.eclipse>
<lab.repository.dependencies>http://download.digital-humanities.de/updates/repository</lab.repository.dependencies>
......@@ -28,15 +36,28 @@
<lab.repository.root>http://download.digital-humanities.de/updates/textgridlab</lab.repository.root>
<lab.repository.core>${lab.repository.root}/core</lab.repository.core>
</properties>
-->
<repositories>
<repository>
<id>dariah.nexus</id>
<name>DARIAH Nexus Public Repository</name>
<url>http://dev.dariah.eu/nexus/content/groups/public</url>
<releases>
<enabled>true</enabled>
</releases>
<snapshots>
<enabled>true</enabled>
</snapshots>
</repository>
<repository>
<id>lab-core</id>
<layout>p2</layout>
<url>${lab.repository.core}</url>
</repository>
<repository>
<id>indigo</id>
<id>eclipse</id>
<layout>p2</layout>
<url>${lab.repository.eclipse}</url>
</repository>
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment